Subject: Re: [PATCH] Don't build arch/powerpc/sysdev/dcr.c for ARCH=ppc kernels

From: Michael Ellerman <[email-masked]>
Date: Fri, 05 Oct 2007 00:34:45 +1000

On Thu, 2007-10-04 at 05:56 -0500, Josh Boyer wrote:
> On Wed, 2007-10-03 at 22:50 -0600, Grant Likely wrote:
> > From: Grant Likely <[email-masked]>
> > 
> > dcr.c is an arch/powerpc only thing.
> > 
> > Signed-off-by: Grant Likely <[email-masked]>
> > ---
> > 
> > Ben/Paulus,
> > 
> > As far as I can tell this is correct.  Having sysdev/dcr.c in the arch/ppc
> > build spits out warnings.  Grep doesn't show anything in arch/ppc that
> > is using it.
> 
> Sorry, no.  The ibm_emac driver uses it, which is arch/ppc.  (Yes, the
> old one.)
> 
> If there are warnings, let's fix those up.  Perhaps Michael's recent
> patches in that area introduced something.

Hmm, I picked a good time to be away :)

I think it's OK. ibm_emac uses dcr_write() but it should always be using
the native one from dcr-native.h. So I think this patch is good.

Just another reason to get rid of arch/ppc :D

cheers

-- 
Michael Ellerman
OzLabs, IBM Australia Development Lab

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person